Inverted polygon rendering clipped

2018-03-20 06:51 PM - Nick Allen

Status: Open

Priority: Normal

Assignee:

Category: Symbology

Affected QGIS version:3.0.0 Regression?: No

Operating System: Windows & Mac Easy fix?: Yes

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 26381

Description

When applying the inverted polygon sub-renderer, the inverted mask gets "clipped" diagonally. The clipped area varies at different zoom

levels. This occurs in both the map canvas and print composer views. I have replicated this issue with single and multi-polygon

geometries, and tested in both Mac and PC versions of QGIS 3.0

History

#1 - 2018-03-20 06:55 PM - Nick Allen

The "clip" area appears to be anchored to the viewing window and not to the polygon file.

#2 - 2018-03-20 07:10 PM - Nyall Dawson

- Status changed from Open to Feedback

Can you share a small project and sample data which demonstrates this?

#3 - 2018-03-26 05:12 PM - Nick Allen

- File Inverted_Glitch.zip added

A test project is attached. I've since discovered it is rotation-dependent: the clipping varies at oblique angles and does not occur when rotation is set to 0,

90, 180, or 270 degrees.

#4 - 2018-03-26 10:09 PM - Nyall Dawson

- Status changed from Feedback to Open

#5 - 2018-07-22 05:05 AM - Nick Allen

Identical issue raised in this Stack Exchange thread.

[[https://gis.stackexchange.com/questions/254636/print-composer-rotation-and-inverted-polygons]]

Files

Inverted_polygon.PNG 1.71 MB 2018-03-20 Nick Allen

Inverted_Glitch.zip 10.5 KB 2018-03-26 Nick Allen
